bitel.billing.server.admin.integration.bean

## Class RegisterManager

- java.lang.Object
- - bitel.billing.server.admin.integration.bean.RegisterManager

-     public class RegisterManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRegister(int id)`
    `Register` | `getRegisterById(int id)`
    `Register` | `getRegisterByID(int id)` Deprecated.
    `java.util.List<Register>` | `getRegisterList(java.util.Calendar date1, java.util.Calendar date2, int limit)`
    `java.util.List<Register>` | `getRegisterList(java.util.Calendar date1, java.util.Calendar date2, int limit, int regType)`
    `void` | `processRegister(int userId, Register pr)`
    `void` | `updateRegister(Register pr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterManager

          public RegisterManager(java.sql.Connection con)

  - ### Method Detail

    - #### getRegisterById

          public Register getRegisterById(int id)

    - #### getRegisterByID

          @Deprecated
          public Register getRegisterByID(int id)

      Deprecated.
      Использовать `getRegisterById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### updateRegister

          public void updateRegister(Register pr)

    - #### deleteRegister

          public void deleteRegister(int id)

    - #### getRegisterList

          public java.util.List<Register> getRegisterList(java.util.Calendar date1,
                                                          java.util.Calendar date2,
                                                          int limit)

    - #### getRegisterList

          public java.util.List<Register> getRegisterList(java.util.Calendar date1,
                                                          java.util.Calendar date2,
                                                          int limit,
                                                          int regType)

    - #### processRegister

          public void processRegister(int userId,
                                      Register pr)
                               throws ru.bitel.bgbilling.common.BGException,
                                      java.sql.SQLException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`